%global modname pbs

Name:             python-pbs-subprocess
Version:          0.105
Release:          1%{?dist}
Summary:          Python subprocess wrapper

Group:            Development/Languages
License:          MIT
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python2-devel

%description
PBS is a unique subprocess wrapper that maps your system programs to Python
functions dynamically.  PBS helps you write shell scripts in Python by
giving you the good features of Bash (easy command calling, easy piping)
with all the power and flexibility of Python.

    >>> from pbs import ifconfig
    >>> print ifconfig("eth0")

PBS is not a collection of system commands implemented in Python.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc README.md AUTHORS.md LICENSE.txt

%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{modname}-%{version}*


%changelog
* Fri Jun 15 2012 Ralph Bean <rbean@redhat.com> - 0.105-1
- Initial package for Fedora
